Subject: bug#59816: 29.0.60; c++-ts-mode handles one-line comments badly

From: Theodor Thornhill <[email-masked]>
Date: Mon, 05 Dec 2022 18:07:49 +0100

On 5 December 2022 17:44:14 CET, Alan Mackenzie <[email-masked]> wrote:
>Hello, Theodor,
>
>Perhaps a little different from the original bug report, but while you're
>at it, you may want to handle continued C++ line comments (I haven't
>checked whether you've done this already, so apologies if so).
>
>Here, in a comment, if the last character on the comment line is a \,
>this continues the comment onto the next line.  This backslash cannot
>itself be escaped, so a comment line ending in \\ continues on to the
>next line, too.
>

Do you mean fontlock-wise or syntax-wise? Maybe both?

>All the best with it!

Thanks, and thanks for the tip!

Theo :)